--- old/usr/src/uts/intel/io/acpica/osl_ml.s	Thu Nov 14 19:00:28 2019
+++ new/usr/src/uts/intel/io/acpica/osl_ml.s	Thu Nov 14 19:00:28 2019
@@ -23,14 +23,13 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
+
 #include <sys/asm_linkage.h>
 #include <sys/asm_misc.h>
 
-#if defined(lint) || defined(__lint)
-#include <sys/types.h>
-#include "acpi.h"
-#endif	/* lint */
-
 /*
  * Implementation as specific by ACPI 3.0 specification
  * section 5.2.10.1
@@ -54,16 +53,6 @@
 /* Offset of GlobalLock element in FACS structure */
 #define	GlobalLock	0x10
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-UINT32
-__acpi_acquire_global_lock(void *Facs)
-{ return (0); }
-
-#else	/* lint */
-
-#if defined(__amd64)
 	ENTRY(__acpi_acquire_global_lock)
 	movq	$0xff, %rax		/ error return if FACS is null
 	orq	%rdi, %rdi		/ %rdi contains pointer to FACS
@@ -84,44 +73,7 @@
 	ret
 	SET_SIZE(__acpi_acquire_global_lock)
 
-#elif defined(__i386)
 
-	ENTRY(__acpi_acquire_global_lock)
-	movl	$0xff, %eax		/ error return if FACS is null
-	movl	4(%esp), %ecx		/ %ecx contains pointer to FACS
-	orl	%ecx, %ecx
-	jz	1f
-	leal	GlobalLock(%ecx), %ecx	/ make %ecx point at the lock
-0:
-	movl	(%ecx), %eax
-	movl	%eax, %edx
-	andl	$0xFFFFFFFE, %edx
-	btsl	$1, %edx
-	adcl	$0, %edx
-	lock
-	cmpxchgl %edx, (%ecx)
-	jnz	0b
-	cmpb	$3, %dl
-	sbbl	%eax, %eax
-1:
-	ret
-	SET_SIZE(__acpi_acquire_global_lock)
-
-#endif	/* i386 */
-
-#endif	/* lint */
-
-
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-UINT32
-__acpi_release_global_lock(void *Facs)
-{ return (0); }
-
-#else	/* lint */
-
-#if defined(__amd64)
 	ENTRY(__acpi_release_global_lock)
 	xorq	%rax, %rax	/ error return if FACS is null
 	orq	%rdi, %rdi	/ %rdi contains pointer to FACS
@@ -139,48 +91,13 @@
 	ret
 	SET_SIZE(__acpi_release_global_lock)
 
-#elif defined(__i386)
 
-	ENTRY(__acpi_release_global_lock)
-	xorl	%eax, %eax		/ error return if FACS is null
-	movl	4(%esp), %ecx		/ %ecx contains pointer to FACS
-	orl	%ecx, %ecx
-	jz	1f
-	leal	GlobalLock(%ecx), %ecx	/ make %ecx point at the lock
-0:
-	movl	(%ecx), %eax
-	movl	%eax, %edx
-	andl	$0xFFFFFFFC, %edx
-	lock
-	cmpxchgl %edx, (%ecx)
-	jnz	0b
-	andl	$1, %eax
-1:
-	ret
-	SET_SIZE(__acpi_release_global_lock)
-
-#endif	/* i386 */
-
-#endif	/* lint */
-
-
 /*
  * execute WBINVD instruction
  */
 
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-void
-__acpi_wbinvd(void)
-{ }
-
-#else	/* lint */
-
 	ENTRY(__acpi_wbinvd)
 	wbinvd
 	ret
 	SET_SIZE(__acpi_wbinvd)
-
-#endif	/* lint */
 
